package com.gic.haoban.manage.service.dao.mapper.contact;

import com.gic.haoban.manage.service.entity.contact.TabContactConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabContactConfigMapper {

    /**
     * 根据主键查询
     */
    TabContactConfig queryById(@Param("configId") Long configId);

    /**
     * 根据 enterpriseId 查询配置
     */
    TabContactConfig queryByEnterpriseId(@Param("enterpriseId") String enterpriseId);

    /**
     * 插入单条数据
     */
    int insert(TabContactConfig tabContactConfig);

    /**
     * 批量插入
     */
    int insertBatch(@Param("list") List<TabContactConfig> list);

    /**
     * 更新数据
     */
    int update(TabContactConfig tabContactConfig);

    /**
     * 根据主键删除
     */
    int deleteById(@Param("configId") Long configId);
}